# English (US)

A Fabric-based modpack for Minecraft that focuses on performance and graphics optimizations. 

[![Current review](https://img.youtube.com/vi/bb8G9X5Q_4I/maxresdefault.jpg)](https://www.youtube.com/watch?v=bb8G9X5Q_4I)

### Performance

Fabulously Optimized is usually faster than OptiFine due to the inclusion of [modern performance mods][1] like Sodium and Lithium.

### OptiFine parity

Fabulously Optimized [supports almost all OptiFine features][2], including shaders, connected textures and zoom. [Get a free cape!][3]

### Minor tweaks

Fabulously Optimized [includes minor tweaks][4] that don't break the vanilla feel, such as increased chat history, windowed full screen mode and bugfixes to most common issues.

### Up to date

Fabulously Optimized [receives fast updates][5] and is one of the first modpacks to upgrade to newer Minecraft versions.

### Works everywhere

Fabulously Optimized is designed to work on any world or server, [runs on 4 launchers, is hosted on 3 sites][6] and [supports many languages][7].

### Open development

Fabulously Optimized [is open-source][8] and so are most of its mods. It is developed with ideas from the community, collaborating with mod developers to create a better user experience for everyone.

### Built on Fabric

Compared to Forge, Fabric updates and loads fast, does not include huge libraries and still has great mod support. [(Yes, Quilt is being considered.)][9]

### Helpful community

We have a growing community of friendly members who like to discuss the pack and help each other. [Join us!][10]

## FAQ

> **Q**: How do I install? Update? Add mods? Something else?
> 
> **A**: [The answers are in our wiki.][11]


> **Q**: Something broke! You should add something!
> 
> **A**: [Post it to our GitHub.][8]


> **Q**: What mods does it have? 
> 
> **A**: Click any version and scroll down [or see the comparison table][12].


> **Q**: Do I need the modpack on the server?
> 
> **A**: No, this works on all servers that allow vanilla clients. [Detailed answer and server tips are here.][13] 
> 
> [![](https://i.ibb.co/gr9mSxW/image.png) If you need a host, click here - 25% off for the first month!][14]


> **Q**: I have more questions!
> 
> **A**: [Come and chat with us on Discord!][10]

### By using this modpack, [you agree to the following disclaimers][15].

[1]: https://github.com/Fabulously-Optimized/fabulously-optimized/blob/main/INCLUDED-MODS.md#smooth
[2]: https://fabulously-optimized.gitbook.io/modpack/readme/give-up-optifine
[3]: https://fabulously-optimized.gitbook.io/modpack/readme/free-cape
[4]: https://github.com/Fabulously-Optimized/fabulously-optimized/blob/main/INCLUDED-MODS.md#functional
[5]: https://github.com/Fabulously-Optimized/fabulously-optimized/blob/main/CHANGELOG.md
[6]: https://github.com/Fabulously-Optimized/fabulously-optimized#downloads
[7]: https://fabulously-optimized.gitbook.io/modpack/readme/language-support
[8]: https://github.com/Fabulously-Optimized/fabulously-optimized
[9]: https://github.com/Fabulously-Optimized/fabulously-optimized/issues/257
[10]: https://discord.gg/yxaXtaQqdB
[11]: https://fabulously-optimized.gitbook.io/modpack/
[12]: https://github.com/Fabulously-Optimized/fabulously-optimized/blob/main/INCLUDED-MODS.md
[13]: https://fabulously-optimized.gitbook.io/modpack/readme/server-setup
[14]: https://www.bisecthosting.com/clients/aff.php?aff=2604
[15]: https://github.com/Fabulously-Optimized/fabulously-optimized#disclaimers
