# Fabulously Optimized

A Fabric-based modpack for Minecraft that focuses on performance and graphics optimizations.

## Downloads

[![Download from CurseForge](https://cf.way2muchnoise.eu/full_fabulously-optimized_downloads%20on%20CurseForge.svg?badge_style=for_the_badge)](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized/files) 

Supports CurseForge Launcher, MultiMC, GDLauncher and vanilla launcher. [Install instructions](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions)

<details>
  <summary>Alternative downloads</summary>

_These downloads do not yet support the modpack or the mods :(_
* [![Modrinth](https://img.shields.io/modrinth/dt/fabulously-optimized?color=4&label=Download%20from%20Modrinth&style=for-the-badge)](https://modrinth.com/modpack/fabulously-optimized) [(experimental!)](https://github.com/Fabulously-Optimized/fabulously-optimized/issues/63)
* [MultiMC (auto-update)](https://fabulously-optimized.gitbook.io/modpack/readme/multimc-auto-update): [1.16.5](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v3.2.3/Fabulously.Optimized.MC.1.16.5.auto-update.zip) | [1.17.1](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v3.2.3/Fabulously.Optimized.MC.1.17.1.auto-update.zip) | [1.18.2](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v3.12.2/Fabulously.Optimized.MC.1.18.2.auto-update.zip) | [1.19.2](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v4.2.0-beta.1/Fabulously.Optimized.MC.1.19.2.auto-update.zip)
  * Legacy (unsupported): ~[1.18](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v3.0.0-alpha.4/Fabulously.Optimized.MC.1.18.auto-update.zip)~ | ~[1.18.1](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v3.2.3/Fabulously.Optimized.MC.1.18.1.auto-update.zip)~ | ~[1.19](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v4.0.0-beta.2/Fabulously.Optimized.MC.1.19.auto-update.zip)~ | ~[1.19.1](https://github.com/Fabulously-Optimized/fabulously-optimized/releases/download/v4.1.0-alpha.1/Fabulously.Optimized.MC.1.19.1.auto-update.zip)~
* ~~Vanilla installer~~ [(planned)](https://github.com/Madis0/fabulously-optimized/issues/110)
* [GitHub releases](https://github.com/Fabulously-Optimized/fabulously-optimized/releases)

</details>
  


Not sure which edition is right for you? Check this handy table!
| Feature/Edition | [CurseForge Launcher](https://download.curseforge.com) | [MultiMC](https://multimc.org) | [MultiMC](https://multimc.org) (auto-update) | [GDLauncher](https://gdevs.io) | [Vanilla launcher](https://www.minecraft.net/en-us/download) (manual install) |
|---|---|---|---|---|---|
| Pack download | [⬇️ Download](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized/files) | [⬇️ Download](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized/files) | [⬇️ Tutorial](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#multimc-auto-update) | [⬇️ Tutorial](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#gdlauncher) | [⬇️ Tutorial](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#minecraft-launcher-the-vanilla) |
| Recommended for | Most people | Slow device or internet | Testers and contributors | Linux users | Advanced users |
| Easy install | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#curseforge-launcher) | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#multimc) | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#multimc-auto-update) | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#gdlauncher) | [❌](https://fabulously-optimized.gitbook.io/modpack/readme/install-instructions#minecraft-launcher-the-vanilla) |
| Easy pack upgrade | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/update-instructions#curseforge-launcher) | [❌](https://fabulously-optimized.gitbook.io/modpack/readme/update-instructions#multimc) | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/update-instructions#multimc-auto-update) | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/update-instructions#gdlauncher) | [❌](https://fabulously-optimized.gitbook.io/modpack/readme/update-instructions#minecraft-launcher-the-vanilla) |
| Easy pack upgrade for newer MC | ✅ | ❌ | ❌ | ✅ | ❌ |
| Add mods with few clicks | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/adding-more-mods#curseforge-launcher) | [❌](https://fabulously-optimized.gitbook.io/modpack/readme/adding-more-mods#multimc) | [❌](https://fabulously-optimized.gitbook.io/modpack/readme/adding-more-mods#multimc) | [✅](https://fabulously-optimized.gitbook.io/modpack/readme/adding-more-mods#gdlauncher) | [❌](https://fabulously-optimized.gitbook.io/modpack/readme/adding-more-mods#minecraft-launcher-vanilla) |
| Can be used offline | ❌ | ✅ | ✅ | ✅ | ✅ |
| Supports the modpack and mods | ✅ | ✅ | ❌ | ❌ | ✅ |

## Reviews

[![Current review](https://img.youtube.com/vi/bb8G9X5Q_4I/maxresdefault.jpg)](https://www.youtube.com/watch?v=bb8G9X5Q_4I)

🌐 [eesti keel](https://www.youtube.com/watch?v=z0jKe8XgdP0) | [हिन्दी](https://www.youtube.com/watch?v=K90gsbmhf3w) | [Русский](https://www.youtube.com/watch?v=3Oylcgt1nyw) | [Türkçe](https://www.youtube.com/watch?v=Vj7S5_4Rkfg)

More notable videos:
* [Detailed installation tutorial](https://www.youtube.com/watch?v=9HXXyfzUy6Q) by CraftStones
* [Review](https://www.youtube.com/watch?v=crtB5DnZ3a8) by KoPlexis MC
* [Review](https://www.youtube.com/watch?v=XR0zJL9blpE) by MobPlay
* [Review](https://www.youtube.com/watch?v=990XcePXGh0) by MagMa
* [Playing on a Raspberry Pi 4 (low-power specialized computer)](https://www.youtube.com/watch?v=vVAS8AYNEgU) by whitebelyash
* [Review of some mods on the pack](https://www.youtube.com/watch?v=8OBkqn4Z4ek) by PD

## Included Mods
Fabulously Optimized has [a complete list of all the mods included](INCLUDED-MODS.md). Besides the mods that are used in the latest version, it also lists the mods used in older major versions, alternative mods and library mods that are essential for the modpack to work.

See also: [List of bugs fixed in the modpack](https://fabulously-optimized.gitbook.io/modpack/readme/changed-options#fixed-bugs)


## Help

Help is provided by:

* [Wiki](https://fabulously-optimized.gitbook.io/modpack/) (how to install, update etc.)
* [Discord](https://discord.gg/yxaXtaQqdB) (support, update notifications, etc)
* [Issues](https://github.com/Fabulously-Optimized/fabulously-optimized/issues) (mod suggestions, bug reports)
* [CurseForge listing comments](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized#comments) (questions and general comments only)

Want to help translate the modpack to your language? [See this tutorial](https://fabulously-optimized.gitbook.io/modpack/readme/language-support)

## Disclaimers

By using this modpack, you agree to the following:

* The modpack has been set up to be compatible with the rules of most public third-party servers, but it is your responsibility to verify whether you are allowed to use it or not. By installing this modpack you agree that the modpack author, the mod developers and Mojang provide no warranties for using this modpack, every action you do with it is your own. 
   
    * The command *`/ghost`* (provided by [AntiGhost](https://www.curseforge.com/minecraft/mc-mods/antighost)) may be disallowed by the rules on some servers [as it sends a slight amount of packets](https://www.curseforge.com/minecraft/mc-mods/antighost?comment=103), but it is safe if you don't spam it, use only when you are stuck in blocks.
* This modpack is using [Starlight](https://www.curseforge.com/minecraft/mc-mods/starlight) for chunk optimization and [due to the way it works](https://github.com/PaperMC/Starlight/blob/fabric/TECHNICAL_DETAILS.md#chunk-save-format), disabling (or replacing) the mod will make your existing worlds initially load a bit slower. This is harmless, it simply means the game is calculating the lit up areas again with a different algorithm.
* This modpack disables the [third-party server disclaimer](https://minecraft.fandom.com/wiki/File:Multiplayer_disclaimer.png), so if you are using the multiplayer function, you also agree to the following: 
    > Caution: Online play is offered by third-party servers that are not owned, operated, or supervised by Mojang Studios or Microsoft. During online play, you may be exposed to unmoderated chat messages or other types of user-generated content that may not be suitable for everyone. 

* [The "social interactions" screen](https://minecraft.fandom.com/wiki/Social_Interactions_screen#Usage) can be used by pressing the key `P` in-game or the `Player Reporting` button in the pause menu, where players can ignore others' chat messages or block them with the Microsoft account entirely. However, chat reporting itself is discouraged due to player security and privacy concerns [(see the Chat Reporting FAQ)](https://fabulously-optimized.gitbook.io/modpack/readme/chat-reporting-faq).
   
* Fabulously Optimized does not host any capes or other cosmetics, nor does it encourage users to buy them from any provider. Instead, the modpack encourages users to [prefer free cosmetics](https://fabulously-optimized.gitbook.io/modpack/readme/free-cape), while also giving them options to use any paid cosmetics they've previously obtained from certain providers.
   
* Yes, you can fork/remix this pack [according to the license](https://github.com/Fabulously-Optimized/fabulously-optimized/blob/main/LICENSE.md). You cannot, however, use the "Fabulously Optimized" name or logo.
